psin(1)

NAME
psin - Import PIB Prescalers

SYNOPSIS
psin [options] [<stdin] file

SYNOPSIS
Read an amplitude map from stdin and insert it into a nexisting PIB file, replacing the previous amplitude map. This program permits custom amplitude maps to be loaded into a PIB file. It can also pipe a map directly from one PIB file to another. Atheros can provide standard amplitude maps (prescalers) that conform to most national or international EMI regulations. Generally speaking, these maps should not be modified but there are execeptions.

This program is part of the Qualcomm Atheros Powerline Toolkit. See the AMP man page for an overview and installation instructions.

CAVEATS
The Atheros Windows Device Manager determines the type of prescalers stored in the PIB by inspecting the ToneMaskType code which is also stored in the PIB but is not part of the prescaler set. If this program is used to store a new prescaler set in a PIB and the ToneMaskType code is not updated to reflect the change then the Windows Device Manager will continue to display the previous prescaler type. This will confuse Windows Device Manager users. Use program setpib to set the ToneMaskType code and program pskey to verify the true prescaler type.

OPTIONS
None.

ARGUMENTS

file
    The name of an Atheros Parameter Information Block (PIB) file. The original prescalers are replaced and the checksum is re-computed. By convention, PIB files have a .pib extension but this program does not enforce that convention and does not make any assumption based on filename or extension but the program will reject invalid PIB files. Only one file may be specified on the command line.

FILES
An amplitude map consists of 1155 frequency-amplitude pairs. Each pair consists of a decimal index and a hexadecimal scaler value. The index represents a frequecy from 1.8 mhz through 30 mhz. The scaler represents the amplitude attenuation applied at that frequency. The frequency and attenuation are computed as follows.

   frequency = (index + 74) / 40.96
   decibels = 20 * log10 (scaler / 256)

EXAMPLE
The following example loads prescaler file abc.psc into PIB file abc.pib. The ToneMaskType code is not updated by this operation and should be updated separately to avoid confusing Windows Device Manager users. Program setpib is one means of updating this code.

   # psin < abc.psc abc.pib

DISCLAIMER
PIB file structure and content is proprietary to Qualcomm Atheros, Ocala FL USA. Consequently, public information is not available. Qualcomm Atheros reserves the right to modify PIB file structure or content in future firmware releases without any obligation to notify or compensate users of this program.

Tampering with prescaler settings may violate national or international electo-magnetic emission standards and lead to fines or penalties. Qualcomm Atheros shall not be held responsible for any consequences of modifications made to prescaler sets provided to their customers.

SEE ALSO
psgraph(7), pskey(1), psout(1), setpib(1)

CREDITS
 Charles Maier
 Nathaniel Houghton